cURL
curl -X POST "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/coupons" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY" \
-H "Content-Type: application/json" \
-d '{"code":"example code","discountValue":1}'const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/coupons", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"code": "example code",
"discountValue": 1
}),
})
const data = await res.json()import os, requests
res = requests.post(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/coupons",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
json={
"code": "example code",
"discountValue": 1
},
)
data = res.json(){}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}Create a coupon
Create a discount code. discountType is percentage or fixed.
Scope: coupon:create
This changes real data in your store, including when you press Send here.
POST
/
api
/
merchant
/
v1
/
stores
/
{storeId}
/
coupons
cURL
curl -X POST "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/coupons" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY" \
-H "Content-Type: application/json" \
-d '{"code":"example code","discountValue":1}'const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/coupons", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"code": "example code",
"discountValue": 1
}),
})
const data = await res.json()import os, requests
res = requests.post(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/coupons",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
json={
"code": "example code",
"discountValue": 1
},
)
data = res.json(){}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}Authorizations
Your Merchant API key. Create one in Dashboard → Developers → API keys.
Path Parameters
Your store id. Find it in Dashboard → Developers, or in GET /stores with MCP.
Body
application/json
Required string length:
1 - 50Required range:
0 <= x <= 1000000Available options:
percentage, fixed Required range:
0 <= x <= 1000000Required range:
0 <= x <= 1000000Required range:
0 < x <= 1000000Response
The new coupon.
The response is of type object.

